Skip to content

placements.previewTasks
deprecated

Request

DEPRECATED: Use POST /placements/preview instead

Security
form_session or user_session or component_session or component_token or api_token
Bodyapplication/jsonrequired
employee_idstring(EmployeeId)^ee_required

Employee Identifier

employer_id(EmployerId (string) or null) or null
Any of:
Any of:

Employer Identifier

string(EmployerId)
client_id(ClientId (string) or null) or null
Any of:
Any of:

Client Identifier

string(ClientId)
job_id(JobId (string) or null) or null
Any of:
Any of:

Job Identifier

string(JobId)
curl -i -X POST \
  https://docs.onboarded.com/_mock/openapi/api/v1/placements/preview_tasks \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "employee_id": "ee_abc123def456",
    "employer_id": "er_abc123def456",
    "client_id": "cl_abc123def456",
    "job_id": "job_abc123def456"
  }'

Responses

Success

Bodyapplication/json
Array [
form_idstring(FormId)required

Form Identifier (lineage uid)

namestringrequired
rulesany(unknown)required
]
Response
[ { "form_id": "tlin_abc123def456", "name": "string", "rules": null } ]